Developers
API referenceReferenceReports

Balance sheet

Generate balance sheet report data as JSON using typed report request filters and columns.

POST
/v1/business/{business_slug}/report/balance-sheet/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/report/balance-sheet/" \  -H "Content-Type: application/json" \  -d '{    "columns": [      {        "date_at": "2019-08-24"      }    ]  }'
{  "report_type": "string",  "date_from": "2019-08-24",  "date_to": "2019-08-24",  "comparison_mode": "amount",  "column_units": [    "amount"  ],  "labels": [    "string"  ],  "rows": [    {      "name": "string",      "level": 0,      "is_sum_row": true,      "values": [        0      ],      "labels": [        "string"      ],      "accounts": [        {          "number": "string",          "name": "string",          "values": [            0          ],          "labels": [            "string"          ]        }      ]    }  ]}